> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Referential

> Build/refresh one referential per domain from the mined questions.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/coverage/generate
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/coverage/generate:
    post:
      tags:
        - Coverage
      summary: Generate Referential
      description: Build/refresh one referential per domain from the mined questions.
      operationId: core_api_v1_controllers_coverage_generate_referential
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CoverageGenerateIn'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    CoverageGenerateIn:
      properties:
        min_occurrences:
          default: 1
          title: Min Occurrences
          type: integer
      title: CoverageGenerateIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````